Redmine - Patch #16133

Available watchers on new issue form include users who cannot even view issues
2014-02-19 17:44 - Jan from Planio www.plan.io

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version:

Description

The proposed watchers on the new issue form should be able to at least view issues. Otherwise it would not make sense to add
them as watchers.

The attached patch fixes the behavior and makes it consistent with
source:trunk/lib/plugins/acts_as_watchable/lib/acts _as_watchable.ro@11960#L36

No test for now, though.

Related issues:

Related to Redmine - Defect #17071: Adding Watchers UX Is Not Clean New

Related to Redmine - Defect #22977: A project member has no access and gets n... New

Related to Redmine - Defect #24061: Tickets can be watched by users who are n... New

Related to Redmine - Feature #28368: regarding watcher added in private proje... Closed

Related to Redmine - Defect #30370: No validation when adding watcher who is ... Closed

Related to Redmine - Feature #5159: Ability to add Non-Member watchers to the... Closed 2010-03-23
Related to Redmine - Patch #33329: Improve watchers functionality to mark the... Closed

History

#1 - 2014-07-30 09:45 - Jan from Planio www.plan.io

- Target version changed from Candidate for next minor release to 2.5.3

| think this is a an easy one. Is it okay if | simply assign it to a target version?

#2 - 2014-07-30 16:36 - Brett Patterson

This ties in with #17071 which adjusts the behavior of the watchers assignment so you can filter/search and not have to add them one at a time.

#3 - 2014-08-27 18:13 - Toshi MARUYAMA
- Related to Defect #17071: Adding Watchers UX Is Not Clean added

#4 - 2014-09-13 12:39 - Jean-Philippe Lang

- Target version changed from 2.5.3 to Candidate for next minor release

| see the point but this change adds to much overhead for projects with lots of users.

#6 - 2016-07-12 16:16 - Toshi MARUYAMA

- Related to Defect #22977: A project member has no access and gets no notification, when being a watcher of the issue added

#7 - 2016-11-19 08:15 - Go MAEDA

- Related to Defect #24061: Tickets can be watched by users who are not available in specific tracker added

#8 - 2018-05-12 04:37 - Go MAEDA
- Related to Feature #28368: regarding watcher added in private project but not getting notification added

#9 - 2019-01-23 01:56 - Go MAEDA
- Related to Defect #30370: No validation when adding watcher who is not in this project added
https://www.redmine.org/projects/redmine/repository/svn/revisions/11960/entry/trunk/lib/plugins/acts_as_watchable/lib/acts_as_watchable.rb#L36
https://www.redmine.org/issues/17071

#10 - 2020-02-06 01:32 - Go MAEDA
- Related to Feature #5159: Ability to add Non-Member watchers to the watch list added

#11 - 2020-04-25 09:54 - Marius BALTEANU
Here are some ideas in order to avoid the overhead:
1. If we really want to show some watchers in the new issue form:

® Get first 20 users from the database and check the visibility only for them

e Get more users from the database and check the visibility until we get 20 users that can watch the issue.

e Load them async.
2. If not, we just display the "Search for watchers to add" link to the user.

If we go for 1, we need also to load the watchers form when the tracker/project changes.

#12 - 2021-01-24 06:47 - Go MAEDA

- Related to Patch #33329: Improve watchers functionality to mark the users that are watching a non visible object and to not return watchers that

cannot see the object added

#13 - 2021-07-23 06:50 - Go MAEDA
- Status changed from New to Closed

- Target version deleted (Candidate for next minor release)

A similar fix has been merged in Redmine 4.2.0 (#33329).
